
#include "Borrower_DB.h"

Borrower_DB::Borrower_DB()
{
    // Deliberately empty.
}

CORBA::Boolean
Borrower_DB::get(CORBA::Long book_id, LoanRecord& loan)
{
    Borrower_DB::TableType::iterator m = m_borrow_table.find(book_id);

    if ( m != m_borrow_table.end() ) {
        loan = m->second;
        return 1;
    }
    else {
        return 0;
    }
}
    
CORBA::Boolean
Borrower_DB::put(CORBA::Long book_id, const LoanRecord& new_loan)
{
    m_borrow_table[book_id] = new_loan;
    return 1;
}

