package Pure.BookRepository;

import Pure.BookRepository.*;

public class Borrower_DB {

    // Private static inner class
    public static class LoanRecord {
        public PersonName               borrower;
        public Pure.BookRepository.Date return_date;
    };

    // Private member variables
    private java.util.Map                 m_borrow_table;


    public Borrower_DB()
    {
        m_borrow_table = new java.util.Hashtable();
    }

    public LoanRecord get(int book_id)
    {
        return (LoanRecord) m_borrow_table.get(new Integer(book_id));
    }
    
    public boolean put(int book_id, LoanRecord new_loan)
    {
        try {
            m_borrow_table.put(new Integer(book_id), new_loan);
        }
        catch (Exception ex) {
            return false;
        }

        return true;
    }

}

