#ifndef _OBJECTIDMAPPER_H_
#define _OBJECTIDMAPPER_H_

#include <omg/PortableServer.hh>

class ObjectIdMapper {

public:
    // Manipulation of 'ObjectId'
    static PortableServer::ObjectId*
    make_ObjectId(const char * type, CORBA::Long key);
    
    static CORBA::Long
    extract_key_from_ObjectId(const PortableServer::ObjectId & oid);

    static char *
    extract_type_from_ObjectId(const PortableServer::ObjectId & oid);

private:
    //Not implemented for this class
    ObjectIdMapper();
    ObjectIdMapper(const ObjectIdMapper &);
    ObjectIdMapper& operator=(const ObjectIdMapper &);
};

#endif
