
#include <stdlib.h>
#include <iostream.h>
#include "BookRepository_FlexibleCollectionImpl.h"

// _create() -- create a new servant.
POA_BookRepository::FlexibleCollection*
BookRepository_FlexibleCollectionImpl::_create(PortableServer::POA_ptr the_poa)
{
    return new BookRepository_FlexibleCollectionImpl(the_poa);
}


// Constructor
BookRepository_FlexibleCollectionImpl::BookRepository_FlexibleCollectionImpl(
    PortableServer::POA_ptr the_poa
) :
    BookRepository_CollectionImpl(the_poa),
    BookRepository_BorrowableCollectionImpl(the_poa),
    BookRepository_SearchableCollectionImpl(the_poa)
{
}


// Destructor.
BookRepository_FlexibleCollectionImpl::~BookRepository_FlexibleCollectionImpl()
{
}


