package Pure.BookRepository;

import org.omg.CORBA.ORB;
import Pure.BookRepository.Collection_DB;


public class SearchableCollectionImpl
   implements SearchableCollectionOperations
{
    // Private member variables.
    private int                                 m_number_of_books;
    private java.lang.String                    m_name_of_collection;
    private Collection_DB                       m_collection_db;
    private org.omg.PortableServer.POA          m_poa = null;

    public static Pure.BookRepository.SearchableCollectionPOATie
    _create(org.omg.PortableServer.POA the_poa)
    throws org.omg.CORBA.SystemException
    {
        SearchableCollectionImpl tied_object = new SearchableCollectionImpl();
        Pure.BookRepository.SearchableCollectionPOATie the_tie
            = new Pure.BookRepository.SearchableCollectionPOATie(
                      tied_object, the_poa
                  );

        return the_tie;
    }


   public SearchableCollectionImpl() 
   {
        m_number_of_books    = 1000;
        m_name_of_collection = "AssortedBooks";
        m_collection_db      = new Collection_DB();
   }

    public Pure.BookRepository.FuzzyBoolean is_in_collection(
        int                             book_id
    )
    throws org.omg.CORBA.SystemException
    {
        if (m_collection_db.is_in_collection(book_id) ) {
            return FuzzyBoolean.YES;
        }
        else {
            return FuzzyBoolean.NO;
        }
    }

    public boolean find_by_title(
        java.lang.String                title,
        BookDetailsSeqHolder books_found
    )
    throws org.omg.CORBA.SystemException
    {
        System.out.println("find_by_title(): called.");

        books_found.value = m_collection_db.getByTitle(title);
        return (books_found.value.length > 0);
    }

    public int number_of_books()
    {
        return m_number_of_books;
    }

    public java.lang.String name_of_collection()
    {
        return m_name_of_collection;
    }

    public void name_of_collection(
           java.lang.String                _new_value)
    {
        m_name_of_collection = _new_value;
    }

    public org.omg.PortableServer.POA _default_POA()
    {
        return m_poa;
    }

}
