@echo off
REM Run the Pure.BookRepository.server application
REM

REM Test to ensure that Orbix 2000 services are running:

call E:\Orbix2000_121\bin\itadmin.bat locator list -count
if errorlevel 1 goto no_services


@echo on
%JAVA_HOME%\bin\java -Dorg.omg.CORBA.ORBClass=com.iona.corba.art.artimpl.ORBImpl -Dorg.omg.CORBA.ORBSingletonClass=com.iona.corba.art.artimpl.ORBSingleton -classpath ./classes;%CLASSPATH% Pure.BookRepository.server -ORBdomain_name %IT_DOMAIN_NAME%

goto end


:no_services
@echo off
echo error: Orbix 2000 services have not been started
echo        Enter 'start_DomainName_services' at the command line
echo        before re-running this script.

:end
