// Class: RecycleBroker_OfficeAdmin_i
// A POA servant which implements of the RecycleBroker::OfficeAdmin interface
//

#ifndef RECYCLEBROKER_OFFICEADMIN_I_H_
#define RECYCLEBROKER_OFFICEADMIN_I_H_

#include "RecycleBrokerS.hh"


class RecycleBroker_OfficeAdmin_i :
    public virtual PortableServer::RefCountServantBase,
    public virtual POA_RecycleBroker::OfficeAdmin
{
public:
    RecycleBroker_OfficeAdmin_i();

    virtual ~RecycleBroker_OfficeAdmin_i();

    // _create() -- create a new servant.
    // Hides the difference between direct inheritance and tie servants.
    //    
    static POA_RecycleBroker::OfficeAdmin*
    _create();


    // IDL operations
    //
    virtual RecycleBroker::BranchDetailsSeq*
    get_all_details() IT_THROW_DECL((
        CORBA::SystemException
    ));

    virtual PortableServer::POA_ptr
    _default_POA();

private: 
    // The following are not implemented
    //
    RecycleBroker_OfficeAdmin_i(const RecycleBroker_OfficeAdmin_i &);
    RecycleBroker_OfficeAdmin_i& operator=(const RecycleBroker_OfficeAdmin_i &);
}; 

#endif
